Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161147 - API Reference main pages not generated
Summary: API Reference main pages not generated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 20:28 UTC by Andrew Overholt
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 3.1.1-1jpp_1fc.FC4.12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-05 20:42:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 24507 None None None Never
Eclipse Project 114001 None None None Never

Description Andrew Overholt 2005-06-20 20:28:12 UTC
Description of problem:
The "main pages" of the API Reference sections of the help are missing.

Version-Release number of selected component (if applicable):
eclipse-3.1*

How reproducible:
Always

Steps to Reproduce:
1. Help->Help Contents
2. PDE Guide -> Reference -> API Reference
  
Actual results:
"The topic that you have requested is not available. The link may be wrong, or
you may not have the corresponding product feature installed. This online help
only includes documentation for features that are installed."

Expected results:
"  Overview   	 Package   	 Class   	 Use   	 Tree   	 Deprecated   	 Index   	
Help  [...]"

Comment 1 Andrew Overholt 2005-12-19 20:19:42 UTC
This was fixed in gjdoc 0.7.7 and I have built Eclipse against this.

gjdoc-0.7.7-1
eclipse-3.1.1-1jpp_11fc

Comment 2 Ben Konrath 2006-01-04 16:59:54 UTC
This isn't fixed in updates-testing with version
eclipse-platform-3.1.1-1jpp_1fc.FC4.11. Re-opening bug.

Comment 3 Ben Konrath 2006-01-05 20:42:10 UTC
This has been fixed in eclipse-platform-3.1.1-1jpp_1fc.FC4.12.

Comment 4 Igor Foox 2006-03-15 16:52:24 UTC
Gaga

Comment 5 Igor Foox 2006-03-15 16:52:55 UTC
(In reply to comment #2)
>This isn't fixed in updates-testing with version
Yo dude. This sucks.
>eclipse-platform-3.1.1-1jpp_1fc.FC4.11. Re-opening bug.


Note You need to log in before you can comment on or make changes to this bug.